Subject: Offline Message from Rim Trifa : Hi I was waiting for more than one month my
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 29 Jun 2020 05:32:19 -0000

From: Rim Trifa  <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us
Department: 

Hi I was waiting for more than one month my parcel with a lot of false promise !!! It looks like it is out of stock and no one wants to inform me !!!! I asked for a full refund and now still waiting for my money !! I never though Mumzworld is so horrible with customers !!! Can you send my refund fast ? I already waisted one month with no pool and now waiting for my money 
Thanks 
Order 100152542

----
Zopim
https://www.zopim.com